We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/wpa-create-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "John",
"last_name": "Doe"
}
'{
"create_wp_admin_user": true
}curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/wpa-create-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "John",
"last_name": "Doe"
}
'{
"create_wp_admin_user": true
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
"John"
"Doe"
WP admin user created successfully
true